# lxd – Run tasks in lxc containers via lxc CLI

- Synopsis
- Parameters
- Status

## Synopsis

- Run commands or put/fetch files to an existing lxc container using lxc CLI

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
executable - | Default: "/bin/sh" | var: ansible_executable var: ansible_lxd_executable | shell to use for execution inside container
remote_addr - | Default: "inventory_hostname" | var: ansible_host var: ansible_lxd_host | Container identifier

## Status

- This connection is not guaranteed to have a backwards compatible interface. [preview]
- This connection is maintained by the Ansible Community. [community]

### Authors

- Matt Clay <matt@mystile.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.